%global homedir %{_datadir}/%{name}
%global confdir config

%global release 1
%global prereleasesource develop
%global prerelease %{?prereleasesource}

Name:           foreman-proxy
Version:        3.16.0
Release:        0.20250711095156945661.pr918.720.g3daa071%{?dist}
Summary:        Restful Proxy for DNS, DHCP, TFTP, PuppetCA and Puppet

Group:          Applications/System
License:        GPLv3+
URL:            https://theforeman.org/projects/smart-proxy
Source0:        foreman-proxy-3.16.0.tar.gz
Source1:        %{name}.tmpfiles
Source2:        logrotate.conf

BuildArch:      noarch
BuildRequires:  /usr/bin/rename
BuildRequires:  asciidoc
BuildRequires:  rubygem(rake) >= 0.8.3
Requires:       rubygem(rake) >= 0.8.3

BuildRequires:  ruby(release) >= 2.5
Requires:       ruby(release) >= 2.5
Requires:       rubygems
Requires:       rubygem(bundler_ext)

# Require fapolicyd package if fapolicyd is present
Requires: (%{name}-fapolicyd if fapolicyd)

# These come from smart_proxy.gemspec - get-gemfile-deps can't handle that yet
Requires:       (rubygem(base64) or ruby-default-gems < 3.4)
Requires:       rubygem(json)
Requires:       rubygem(rack) >= 1.3.0
Requires:       (rubygem(sd_notify) >= 0.1 with rubygem(sd_notify) < 0.2)
Requires:       (rubygem(logging) >= 1.8.0 with rubygem(logging) < 3.0.0)
Requires:       (rubygem(rexml) >= 3.2.0 with rubygem(rexml) < 4.0.0)
Requires:       rubygem(sinatra)

# start specfile default Requires
Requires: (rubygem(concurrent-ruby) >= 1.0 with rubygem(concurrent-ruby) < 2.0)
# end specfile default Requires

# start specfile bmc Requires
Requires: rubygem(rubyipmi) >= 0.10.0
Requires: rubygem(redfish_client) >= 0.5.1
# end specfile bmc Requires

# This is a group within bundler.d/dhcp_isc.rb
# start specfile dhcp_isc_inotify Requires
Requires: rubygem(rsec) < 1
Requires: rubygem(rb-inotify)
# end specfile dhcp_isc_inotify Requires

# start specfile krb5 Requires
Requires: rubygem(rkerberos) >= 0.1.1
Requires: rubygem(gssapi)
# end specfile krb5 Requires

# start specfile libvirt Requires
Requires: rubygem(ruby-libvirt) >= 0.6.0
# end specfile libvirt Requires

# start specfile puppetca_token_whitelisting Requires
Requires: rubygem(jwt)
# end specfile puppetca_token_whitelisting Requires

# start specfile realm_freeipa Requires
Requires: (rubygem(xmlrpc) >= 0.2 with rubygem(xmlrpc) < 1.0)
# end specfile realm_freeipa Requires

Requires:       sudo
Requires:       curl
Requires(pre):  shadow-utils
%{?systemd_requires}
BuildRequires: systemd

%description
Manages DNS, DHCP, TFTP and puppet settings though HTTP Restful API
Mainly used by the foreman project (https://theforeman.org)

%prep
%setup -q -n foreman-proxy-3.16.0

%build
#build man pages
/usr/bin/rake -f Rakefile.dist build \
PREFIX=%{_prefix} \
SBINDIR=%{_sbindir} \
SYSCONFDIR=%{_sysconfdir} \
--trace

#replace default location of 'settings.d'
sed -i '/^---/ a #replace default location of "settings.d"\n:settings_directory: %{_sysconfdir}/%{name}/settings.d\n' \
  %{confdir}/settings.yml.example

# switches to bundler_ext instead of bundler
mv Gemfile Gemfile.in

%install
rm -rf %{buildroot}
#install man pages
/usr/bin/rake -f Rakefile.dist install \
PREFIX=%{buildroot}%{_prefix} \
SBINDIR=%{buildroot}%{_sbindir} \
SYSCONFDIR=%{buildroot}%{_sysconfdir} \
--trace
/usr/bin/rake -f Rakefile.dist clean

# install foreman-devel script
install -Dp -m0755 extra/foreman-debug-proxy %{buildroot}%{_datadir}/foreman/script/foreman-debug.d/75-foreman-proxy

install -d -m0755 %{buildroot}%{_datadir}/%{name}
install -d -m0755 %{buildroot}%{_datadir}/%{name}/config
install -d -m0755 %{buildroot}%{_sysconfdir}/%{name}
install -d -m0755 %{buildroot}%{_sysconfdir}/%{name}/settings.d
install -d -m0755 %{buildroot}%{_sharedstatedir}/%{name}
install -d -m0750 %{buildroot}%{_localstatedir}/log/%{name}
install -d -m0750 %{buildroot}%{_localstatedir}/spool/%{name}
install -d -m0750 %{buildroot}%{_rundir}/%{name}

install -Dp -m0644 extra/systemd/%{name}.service %{buildroot}%{_unitdir}/%{name}.service
# Compatibility with old init script, prefer systemd overrides now
sed -i '/^ExecStart/a EnvironmentFile=-%{_sysconfdir}/sysconfig/%{name}' %{buildroot}%{_unitdir}/%{name}.service

install -Dp -m0644 %{SOURCE1} %{buildroot}%{_tmpfilesdir}/%{name}.conf
install -Dp -m0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}

mkdir -p %{buildroot}%{_libexecdir}/%{name}
mkdir -p %{buildroot}%{_sharedstatedir}/%{name}
install -m 0755 extra/puppet_sign.rb %{buildroot}%{_libexecdir}/%{name}/puppet_sign.rb

mkdir -p %{buildroot}%{_sbindir}
install -m 0755 sbin/foreman-prepare-realm %{buildroot}%{_sbindir}/foreman-prepare-realm
cp -p -r bin extra lib modules Rakefile Gemfile.in smart_proxy.gemspec bundler.d config.ru VERSION %{buildroot}%{_datadir}/%{name}
chmod a+x %{buildroot}%{_datadir}/%{name}/bin/smart-proxy
rm -rf %{buildroot}%{_datadir}/%{name}/*.rb

# remove all test units from productive release
find %{buildroot}%{_datadir}/%{name} -type d -name "test" |xargs rm -rf

# Move config files to %{_sysconfdir}
install -Dp -m0644 %{confdir}/settings.yml.example %{buildroot}%{_sysconfdir}/%{name}/settings.yml
ln -sv %{_sysconfdir}/%{name}/settings.yml %{buildroot}%{_datadir}/%{name}/config/settings.yml
install -Dp -m0644 %{confdir}/settings.d/*.example %{buildroot}%{_sysconfdir}/%{name}/settings.d/
rename .example '' %{buildroot}%{_sysconfdir}/%{name}/settings.d/*
touch %{buildroot}%{_sysconfdir}/%{name}/migration_state
ln -sv %{_sysconfdir}/%{name}/migration_state %{buildroot}%{_datadir}/%{name}/config/migration_state

# Put logs in %{_localstatedir}/log/%{name}
ln -sv %{_localstatedir}/log/%{name} %{buildroot}%{_datadir}/%{name}/logs

# Link temp directory to system wide temp
ln -sv %{_tmppath} %{buildroot}%{_datadir}/%{name}/tmp

%files
%doc README.md VERSION
%license LICENSE
%{_datadir}/%{name}
%{_libexecdir}/%{name}/puppet_sign.rb
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/migration_state
%config(noreplace) %attr(0640,root,%{name}) %{_sysconfdir}/%{name}/settings.yml
%config(noreplace) %attr(0640,root,%{name}) %{_sysconfdir}/%{name}/settings.d/*yml
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%attr(-,%{name},%{name}) %{_localstatedir}/log/%{name}
%attr(-,%{name},%{name}) %{_localstatedir}/spool/%{name}
%attr(-,%{name},%{name}) %{_sharedstatedir}/%{name}
%attr(-,%{name},%{name}) %{_rundir}/%{name}
%attr(-,%{name},root) %{_datadir}/%{name}/config.ru
%exclude %{_datadir}/%{name}/bundler.d/development.rb
%exclude %{_datadir}/%{name}/bundler.d/test.rb
%exclude %{_datadir}/%{name}/bundler.d/windows.rb
%exclude %{_datadir}/%{name}/bundler.d/journald.rb
%{_sbindir}/foreman-prepare-realm
%{_mandir}/man8
%{_unitdir}/%{name}.service
%{_tmpfilesdir}/%{name}.conf
%{_datadir}/foreman/script/foreman-debug.d/75-foreman-proxy

%package journald
Summary:  Foreman Proxy journald logging dependencies
Group:    Applications/System
# start specfile journald Requires
Requires: (rubygem(logging-journald) >= 2.0 with rubygem(logging-journald) < 3.0)
# end specfile journald Requires
Requires: %{name} = %{version}-%{release}

%description journald
Additional dependencies required to configure journald logging.

%files journald
%{_datadir}/%{name}/bundler.d/journald.rb

%pre
# Add the "foreman-proxy" user and group
getent group foreman-proxy >/dev/null || \
  groupadd -r foreman-proxy
getent passwd foreman-proxy >/dev/null || \
  useradd -r -g foreman-proxy -d %{homedir} -s /sbin/nologin -c "Foreman Proxy daemon user" foreman-proxy
exit 0

%post
# Migrate proxy config files
if [ $1 == 2 ]; then
  TEMP=$(mktemp -d)
  trap "rm -rf $TEMP" EXIT
  pushd $TEMP >/dev/null

  if /usr/bin/ruby %{homedir}/extra/migrate_settings.rb -t . > %{_localstatedir}/log/%{name}/migrate_settings.log 2>&1; then
    (
      cd result && for f in migration_state settings.yml settings.d/*.yml; do
        [ -e "$f" ] && cat $f > %{_sysconfdir}/%{name}/$f
      done
    )

    # from monolithic to split config files
    grep -q -E '^:settings_directory' %{_sysconfdir}/%{name}/settings.yml || \
      sed -i '/^---/ a #replace default location of "settings.d"\n:settings_directory: %{_sysconfdir}/%{name}/settings.d\n' \
        %{_sysconfdir}/%{name}/settings.yml
  fi
  popd >/dev/null
fi

%systemd_post %{name}.service

# Enforce tmpfiles run
%tmpfiles_create %{_tmpfilesdir}/%{name}.conf
exit 0

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service


%changelog
* Fri Jul 11 2025 Packit <hello@packit.dev> - 3.16.0-0.20250711095156945661.pr918.720.g3daa071
- Fixes #2736 - Implement Wake on LAN (WOL) feature (Marek Hulan)
- Fixes #36325 - Support key-algorithm in omshell (Ewoud Kohl van Wijngaarden)
- Fixes #38432 - Add HSTS middleware (Ewoud Kohl van Wijngaarden)
- Refs #38357 - Support of ruby version 3.4 (Bernhard Suttner)
- Bump develop to 3.16.0-develop (Lukas Hellebrandt)
- Fixes #38357 - add base64 runtime dependency (Tim Meusel)
- Bump develop to 3.15.0-develop (Cole Higgins)
- Fixes #38157 - Declare rexml as dependency (Adam Ruzicka)
- add GHA test workflow (Evgeni Golov)
- Refs #36833 - Correct File.join call on bootloader-universe (Ewoud Kohl van Wijngaarden)
- Drop EL 8 from Packit config (Ewoud Kohl van Wijngaarden)
- Fix indenting in Packit config (Ewoud Kohl van Wijngaarden)
- Fixes #36833 - Add SecureBoot support for arbitrary operating systems to "Grub2 UEFI" PXE loaders (Jan Löser)
- Bump develop to 3.14.0-develop (Cole Higgins)
- add matrix.json specifying our Ruby versions (Evgeni Golov)
- Bump develop to 3.13.0-develop (Cole Higgins)
- fixes #37486: allow foreman to talk BMC using Redfish without reaching sessions limit (Romuald Conty)
- Fixes #37631 - Allow nested data structures as request parametes (#901) (Nadja Heitmann)
- Fixes #37624 - Pin FFI to < 1.17 on Ruby 2.x (Ewoud Kohl van Wijngaarden)
- Fixes #37621 - Correctly resolve the IPv4 address (Ewoud Kohl van Wijngaarden)
- Bump develop to 3.12.0-develop (Griffin-Sullivan)
- Fixes #37450 - start free_ips service for native ms dhcp (Bernhard Suttner)
- Fixes #37413 - Let the kernel assign a TCP port in tests (Ewoud Kohl van Wijngaarden)
- Fixes #37355 - Explicitly query for IPv4 address in omapi code (Ewoud Kohl van Wijngaarden)
- Fixes #37147 - Pass --fail option to curl (Ewoud Kohl van Wijngaarden)
- Bump develop to 3.11.0-develop (Griffin-Sullivan)
- build on rhel-9 (Evgeni Golov)
- use yum.tfm.o (Evgeni Golov)
- build on rhel-8 (Evgeni Golov)
- Bump develop to 3.10.0-develop (Griffin Sullivan)
- Fixes #36899 - Add Dependabot Configuration (archanaserver)
- Fixes #36890 - Use PrivateTmp in systemd service (Eric D. Helms)
- add packit (Evgeni Golov)
- Fixes #34163 - Allow clearing the log buffer (Ewoud Kohl van Wijngaarden)
- Refs #34163 - Introduce SmartProxyRootApiTestCase (Ewoud Kohl van Wijngaarden)
- Refs #36779 - Fix Style/SlicingWithRange cop (Ewoud Kohl van Wijngaarden)
- Fixes #36779 - Set minimum Ruby version to 2.7 (Ewoud Kohl van Wijngaarden)
- Fix Rubocop Rake/Desc (archanaserver)
- Enable rubocop-rake plugin (archanaserver)
- Fix Rubocop Style/RedundantCondition (archanaserver)
- Disable Style/RedundantCondition (archanaserver)
- Fix Rubocop Style/SafeNavigation (archanaserver)
- Fix Rubocop Lint/RedundantStringCoercion (archanaserver)
- Update RuboCop version to 1.56.0 (archanaserver)
- Add additional cops to rubocop-todo.yaml (archanaserver)
- Bump develop to 3.9.0-develop (Griffin Sullivan)
- Bump develop to 3.8.0-develop (Ewoud Kohl van Wijngaarden)
- refs #36243 - Templates - Return Foreman's API status code (Leos Stejskal)
- Fixes #36243 - Templates - Return Foreman's API status code instead of 500 (Leos Stejskal)
- Fix typo / fix link markup (Peter Bittner)
- Fixes #36209 - tftp initrd/vmlinux generation: curl malformed (Leos Stejskal)
- Fixes #36138 - Invalid syntax for curl --time-cond (Leos Stejskal)
- Fixes #35921 - Disable access logging for https endpoint (Adam Ruzicka)
- Refs #35921 - Unify use of common app settings (Adam Ruzicka)
- Bump develop to 3.7.0-develop (Ewoud Kohl van Wijngaarden)
- Fixes #35979 - dnscmd nil string error (Bernhard Suttner)
- Fixes #35920 - Mention JOURNAL as valid log_file option (Adam Ruzicka)
- Bump develop to 3.5.0-develop (Ewoud Kohl van Wijngaarden)
- Fixes #35639 - registration_url setting for Registration module (Stejskal Leos)
- Refs #35639 - Add OptionalUrl validator (Stejskal Leos)
- Update rubocop to 0.89 (Evgeni Golov)
- Fixes #35510 - Depend on webrick for Ruby 3 (Ewoud Kohl van Wijngaarden)
- Fixes #31118 - Remove daemonize support (Ewoud Kohl van Wijngaarden)
- Fixes #35507 - Pin sinatra to 2.x (Ewoud Kohl van Wijngaarden)
- Fixes #35468 - Verify boolean settings in modules (Ewoud Kohl van Wijngaarden)
- Fixes #35467 - Use rackup_path helper in registration (Ewoud Kohl van Wijngaarden)
- Fixes #33881 - Remove deprecated plugin methods (Ewoud Kohl van Wijngaarden)
- Refs #33881 - Remove unused Proxy::ProviderFactory (Ewoud Kohl van Wijngaarden)
- Refs #33881 - Remove Proxy::Dns::DependencyInjection::Dependencies (Ewoud Kohl van Wijngaarden)
- Refs #33881 - Drop deprecated HttpDownload parameters (Lukas Zapletal)
- Refs #33881 - Drop deprecated DNS common methods (Lukas Zapletal)
- Refs #33881 - Drop deprecated methods in DHCP API (Lukas Zapletal)
- Fixes #35384 - Add missing require 'timeout' (Ewoud Kohl van Wijngaarden)
- Update develop to 3.5.0-develop (Amit Upadhye)
- Fixes #35185 - Stub provider check in BmcTest (Ewoud Kohl van Wijngaarden)
- Fixes #35184 - Drop puppetca_puppet_cert provider (Ewoud Kohl van Wijngaarden)
- Fixes #35183 - Correctly call Timeout.timeout() (Ewoud Kohl van Wijngaarden)
- Bump develop to 3.4.0-develop (#833) (Amit Upadhye)
- Fixes #34844 - load SSL keys using OpenSSL::PKey.read (Evgeni Golov)
- Fixes #34613 - Verify SSL CA file is readable on startup (Adam Ruzicka)
- Fixes #34624 - Set MALLOC_ARENA_MAX to counter memory bloating (Adam Ruzicka)
- Fixes #34589 - Remove duplicate rsec gem definition (Ewoud Kohl van Wijngaarden)
- Fixes #34566 - Refactor validate_ip to use a case statement (Ewoud Kohl van Wijngaarden)
- Fixes #34563 - Drop rdoc from test dependencies (Ewoud Kohl van Wijngaarden)
- Refs #34563 - Allow comments for Lint/SuppressedException (Ewoud Kohl van Wijngaarden)
- Refs #34563 - Fix rdoc task to refer to README.md (Ewoud Kohl van Wijngaarden)
- Fixes #34564 - Drop single_test gem dependency (Ewoud Kohl van Wijngaarden)
- Fixes #27088 - Handle capabilities for uninitialized plugins (Lukas Zapletal)
- Update minimum Puppet version in README (Ewoud Kohl van Wijngaarden)
- Fixes #34162 - Allow calling load_test_settings without settings (Ewoud Kohl van Wijngaarden)
- Fixes #34359 - fix DHCP IP validation arguments tests (Anna Vitova)
- Bump develop to 3.3.0-develop (Amit Upadhye)
- Fixes #34164 - Add enum plugin validator (Ewoud Kohl van Wijngaarden)
- Refs #34226 - dnscmd nil string error (Lukas Zapletal)
- Refs #34226 - dnscmd nil string error (Lukas Zapletal)
- Fixes #34226 - dnscmd nil string error (Lukas Zapletal)
- Fixes #34141 - Make validators modern Ruby compatible (Ewoud Kohl van Wijngaarden)
- Fixes #33772 - improve DHCP parser binding test (Lukas Zapletal)
- Fixes #33915 - Bump develop to 3.2.0-develop (Amit Upadhye)
- Refs #2412 - use curl for downloads (Lukas Zapletal)
- Fixes #33756 - require 'templates' for 'registration' module (Leos Stejskal)
- fixes #18069 - Add ip/mac Addr. validations (DHCP) (Anna Vitova)
- fixes #4026 - fixes #4026 secure Windows command execution (Anna Vitova)
- Fixes #33520 - Silence bundler (Evgeni Golov)
- Fixes #33452 - disable SSL client renegotiation (Lukas Zapletal)
- Fixes #32607 - drop host from x-forwarded-for (Lukas Zapletal)
- Fixes #2412 - don't continue wget downloads (Lukas Zapletal)
- Bump version to 3.1.0-develop (Amit Upadhye)
- Point to Libera instead of Freenode (Ewoud Kohl van Wijngaarden)
- Drop badges from README (Ewoud Kohl van Wijngaarden)
- fixes #18936 - Check server certs in the TFTP module (Anna Vitova)
- Bump version to 3.0-develop (Tomer Brisker)
- Fixes #32164 - skip IPv6 link local addresses in FQDN lookups (Lukas Zapletal)
- bump version to 2.6-develop (Tomer Brisker)
- Fixes #32288 - verify FreeIPA CA by default and new setting (Lukas Zapletal)
- Bump version to 2.5.0-develop (Amit Upadhye)
- Fixes #31537 - Expose BMC providers as capabilities (Ewoud Kohl van Wijngaarden)
- Refs #30906 - correct redfish SSL verify setting (Lukas Zapletal)
- Fixes #31303 - Drop deprecated disable_plugin methods (Ewoud Kohl van Wijngaarden)
- Bump version to 2.4-develop (Tomer Brisker)
- Refs #30677 - support also urlencoded data (Marek Hulan)
- Fixes #31086 - Use __dir__ when possible (Ewoud Kohl van Wijngaarden)
- Fixes #30906 - Add support for Redfish to BMC smart proxy. (r.stricklin)
- Fixes #30677 - Registration module (#768) (Leos Stejskal)
- Fixes #30951 - Provide a rackup_path plugin DSL (Ewoud Kohl van Wijngaarden)
- Refs #30856 - Fix class loading (Ewoud Kohl van Wijngaarden)
- Fixes #30856 - Drop  Puppet class cache initializer (Ewoud Kohl van Wijngaarden)
- Fixes #30855 - Remove unused Puppet test fixtures (Ewoud Kohl van Wijngaarden)
- Fixes #30429 - Remove puppetrun endpoints (Shira Maximov)
- Fixes #30773 - expose template_url setting (Ewoud Kohl van Wijngaarden)
- Fixes #30731 - Make smart-proxy use SdNotify library (Adam Ruzicka)
- Fixes #30719 - allow spawning without shell (Lukas Zapletal)
- Bump version to 2.3-develop (Tomer Brisker)
- Refs #29794 - pin ruby-prof (Michael Moll)
- Bump version to 2.2-develop (Tomer Brisker)
- Fixes #29648 - Move Windows service registration script (Michael Moll)
- Fixes #29430 - sync Rubocops to core config (Michael Moll)
- Fixes #29639 - fix tr error on invalid MAC (Lukas Zapletal)
- Fixes #29468 - Add default URL validator for plugins (Ewoud Kohl van Wijngaarden)
- Fixes #29463 - Drop webrick patch (Ewoud Kohl van Wijngaarden)
- Refs #29354 - fix time_monotonic method (Lukas Zapletal)
- Fixes #29354 - Drop Ruby < 2.5 compatibility code (Michael Moll)
- Fixes #27036 - improve logging of error backtraces (Lukas Zapletal)
- Fixes #29252 - Stop accepting TLS 1.1 connections (Ewoud Kohl van Wijngaarden)
- Fixes #29226 - Fix Style/Semicolon (Michael Moll)
- Fixes #29177 - Fix Style/EachWithObject cop (Michael Moll)
- Refs #29172 - Fix Layout/SpaceInsideBlockBraces cop (Michael Moll)
- Fixes #29172 - Fix Layout/SpaceBeforeBlockBraces cop (Michael Moll)
- Fixes #29162 - Update Rubocop to 0.80 (Michael Moll)
- Fixes #29176 - Fix Style/MethodDefParentheses cop (Michael Moll)
- Fixes #29175 - Fix Style/Alias cop (Michael Moll)
- Fixes #25369 - Fix Lint/StringConversionInInterpolation cop (Michael Moll)
- Fixes #29173 - Fix Layout/SpaceAfterComma cop (Michael Moll)
- Fixes #29171 - Fix Style/TernaryParentheses cop (Michael Moll)
- Fixes #29156 - Fix Style/Dir cop (Michael Moll)
- Fixes #29161 - Fix Layout/IndentHeredoc cop (Michael Moll)
- Fixes #29160 - Fix Layout/ExtraSpacing cop (Michael Moll)
- Fixes #29157 - Fix Style/NegatedIf cop (Michael Moll)
- Fixes #29159 - Fix Style/For cop (Michael Moll)
- Fixes #29158 - Fix Style/Multiline*Then cops (Michael Moll)
- Fixes #29153 - Fix Layout/SpaceInsideParens cop (Michael Moll)
- Sort Rubocop rules (Michael Moll)
- Fixes #29155 - Fix Lint/UnneededRequireStatement (Michael Moll)
- Fixes #29150 - Fix Layout/ClosingParenthesisIndentation cop (Michael Moll)
- Fixes #29151 - Fix Layout/EmptyLinesAroundMethodBody cop (Michael Moll)
- Fixes #29152 - Fix Layout/LeadingCommentSpace cop (Michael Moll)
- Fixes #29154 - Fix Layout/TrailingBlankLines cop (Michael Moll)
- Fixes #29128 - Fix Style/Lambda cop (Michael Moll)
- Fixes #29137 - Case insensitive version cleanup (Ondřej Ezr)
- Refs #29130 - Fix inconsistent indentation (Ewoud Kohl van Wijngaarden)
- Fixes #29130 - Fix Layout/IndentationConsistency cop (Michael Moll)
- Fixes #29121 - Fix Style/RedundantBegin cop (Michael Moll)
- Fixes #29132 - Drop mail_patches rake task (Ewoud Kohl van Wijngaarden)
- Fixes #29129 - Fix Layout/IndentationWidth cop (Michael Moll)
- Fixes #29127 - Fix Style/SymbolProc cop (Michael Moll)
- Fixes #29117 - Fix Style/SpecialGlobalVars cop (Michael Moll)
- Fixes #29126 - Disable cops, that are disabled in core (Michael Moll)
- Fixes #29123 - Fix Style/OrAssignment cop (Michael Moll)
- Fixes #29116 - Fix Style/StringLiteralsInInterpolation cop (Michael Moll)
- Fixes #29119 - Fix Style/SelfAssignment cop (Michael Moll)
- Fixes #29120 - Fix Style/RedundantReturn cop (Michael Moll)
- Fixes #29118 - Fix Style/SingleLineMethods cop (Michael Moll)
- Fixes #29115 - Fix Style/TrivialAccessors cop (Michael Moll)
- Refs #29072 - Auto-correct new Layout/IndentFirstArgument violations (Michael Moll)
- Fixes #29114 - Fix Style/YodaCondition cop (Michael Moll)
- Fixes #29105 - Fix Layout/EmptyLinesAroundModuleBody cop (Michael Moll)
- Fixes #29100 - Fix Layout/EmptyLines cop (Michael Moll)
- Fixes #29103 - Fix Layout/EmptyLinesAroundClassBody cop (Michael Moll)
- Fixes #29099 - Fix Layout/EmptyLineBetweenDefs cop (Michael Moll)
- Fixes #29101 - Fix Layout/EmptyLinesAroundAccessModifier cop (Michael Moll)
- Fixes #29086 - Configure and fix Style/TrailingCommaIn*Literal (Michael Moll)
- Fixes #29090 - Fix copy-paste bug in dns_dnscmd_main.rb (Michael Moll)
- Fixes #29085 - Fix Style/SafeNavigation cop (Michael Moll)
- Fixes #29084 - Fix Style/UnlessElse cop (Michael Moll)
- Fixes #29083 - Fix Performance/InefficientHashSearch cop (Michael Moll)
- Fixes #29082 - Fix Layout/TrailingWhitespace cop (Michael Moll)
- Fixes #29081 - Fix Lint/UnneededCopEnableDirective cop (Michael Moll)
- Fixes #29076 - Fix Gemspec/OrderedDependencies cop (Michael Moll)
- Fixes #29077 - Fix Style/Encoding cop (Michael Moll)
- Fixes #29078 - Fix Style/UnneededCondition cop (Michael Moll)
- Fixes #29072 - Update Rubocop to 0.75 (Michael Moll)
- Fixes #29055 - Declare the smart proxy Ruby 2.5+ (Ewoud Kohl van Wijngaarden)
- bump version to 2.1-develop (Tomer Brisker)
- Fixes #28742 - Enable Lint/AssignmentInCondition cop (Michael Moll)
- Fixes #28741 - content type true class fix (Lukas Zapletal)
- bump version to 2.0.0-develop (Tomer Brisker)
- Refs #28482 - pin rsec (Michael Moll)
- Fixes #27789 - skip debug logging of large bodies (#681) (Lukáš Zapletal)
- Fixes #28426 - update mocha to 1.10 (Michael Moll)
- Refs #28426 - pin mocha (Michael Moll)
- Fixes #27693 - Port facts to the DefaultModuleLoader (Ewoud Kohl van Wijngaarden)
- Refs #26591 - Drop unused ResourceTypeApiv3 (Ewoud Kohl van Wijngaarden)
- bump version to 1.25-develop (Tomer Brisker)
- Fixes #27896 - DHCP providers filename option as hostname (#682) (Lukáš Zapletal)
- Fixes #27993 - remove CBC ciphers (Lukas Zapletal)
- Fixes #27032 - improve logging and timeout (Lukas Zapletal)
- Refs #27654 - Account for module enabled over http or not (Ewoud Kohl van Wijngaarden)
- Refs #27654 - Move HTTP(S) enabled logic to plugin settings (Ewoud Kohl van Wijngaarden)
- Fixes #27692 - ping optional for unused_ip call (Lukas Zapletal)
- Fixes #27654 - expose http(s) port setting (Lukas Zapletal)
- fixes #27649 - Anonymise server references (Nathan Dietsch)
- Fixes #26785 - improved exception handling (Lukas Zapletal)
- Fixes #27509 - logging reopen USR1 handler fixed (Lukas Zapletal)
- Fixes #27557 - support EUI-48, 64 and InfiniBand MACs (Lukas Zapletal)
- Fixes #27218: revamps regex for finding realm name (Pablo Hess)
- Fixes #27550 - grub2 native config files (Lukas Zapletal)
- bump version to 1.24-develop (Tomer Brisker)
- Fixes #27351 - don't use rolling appender by default (Lukas Zapletal)
- Refs #26591 - don't try to load puppet_proxy_legacy anymore (Evgeni Golov)
- Fixes #26591 - Remove puppet_proxy_legacy (Puppet 3) (Ewoud Kohl van Wijngaarden)
- Refs #26591 - Stub Rubyipmi.is_provider_installed? (Ewoud Kohl van Wijngaarden)
- Refs #26591 - Optimize Proxy::Bmc.installed? (Ewoud Kohl van Wijngaarden)
- Refs #26591 - Improve BMC logging output (Ewoud Kohl van Wijngaarden)
- Fixes #26742 - use Ruby 2.0 compatible gem versions (Michael Moll)
- fixes #24885 - proxy cloud init templates (Timo Goebel)
- Fixes #27048 - Deprecate methods to get DNS records (Ewoud Kohl van Wijngaarden)
- Fixes #27047 - Remove dns_find and clean up ptr_record_conflicts (Ewoud Kohl van Wijngaarden)
- Refs #26979 - Remove old platforms (Ewoud Kohl van Wijngaarden)
- Refs #26979 - Require at least rack 1.3 (Ewoud Kohl van Wijngaarden)
- Refs #26979 - Remove left over require (Ewoud Kohl van Wijngaarden)
- Fixes #26979 - Remove Ruby 1.x compatibility code (Ewoud Kohl van Wijngaarden)
- Fixes #26962 - put session id into mdc too (Lukas Zapletal)
- Fixes #26823 - NotPresent exception in PuppetcaPuppetCert (#652) (Ewoud Kohl van Wijngaarden)
- Refs #26642 - Correct path logging (Ewoud Kohl van Wijngaarden)
- Fixes #26642 - logging post data fix (Lukas Zapletal)
- Fixes #26680 - improved omshell logging (Lukas Zapletal)
- Bump version to 1.23-develop (Tomer Brisker)
- Refs #25065 - Move puppetca_cert migration (Ewoud Kohl van Wijngaarden)
- fixes #26458 - Fix expired certificate logic (Alexander Fisher)
- Fixes #26322 - Expose the puppet URL settings (Ewoud Kohl van Wijngaarden)
- Refs #25614 - Expose settings from the correct layer (Ewoud Kohl van Wijngaarden)
- Refs #25614 - Always expose the provider setting (Ewoud Kohl van Wijngaarden)
- Refs #25614 - Add integration tests for capabilities (Ewoud Kohl van Wijngaarden)
- Refs #25614 - Fix typo in a comment (Ewoud Kohl van Wijngaarden)
- Fixes #26329 - TFTP not needed active for HTTPBoot (Lukas Zapletal)
- Refs #21605 - remove rubocop metrics (Lukas Zapletal)
- Fixes #21605 - more authorization options (Ivan Nečas)
- fixes #25065 - use puppetca http api (Timo Goebel)
- Fixes #25390 - pass post via template API (Lukas Zapletal)
- Fixes #25942 - Fix ::TimeoutError is deprecated message (Ivan Nečas)
- Fixes #25769 - dhcp conf parser option code fixed (Lukas Zapletal)
- Fixes #25614 - v2/features API with Capabilities and exposed settings (Justin Sherrill)
- Show rubocop results in STDOUT in jenkins:rubocop (Ivan Nečas)
- Refs #15095 - improve cache debug logging (Lukas Zapletal)
- Fixes #25244 - structured logging of exceptions (#617) (Lukáš Zapletal)
- Fixes #25825 - fixed BMC SSH config names (Lukas Zapletal)
- Bump version to 1.22-develop (Tomer Brisker)
- Fixes #25824 - BMC provider nil exception test fixed (Lukas Zapletal)
- Fixes #23353 - included DHCP files default directory (Sven Lueder)
- Fixes #25432 - Support Huawei VRP (UXabre)
- Fixes #25370 - Fix Performance/StringReplacement cop (Michael Moll)
- allow for PUPPET_VERSION to be set (Adam Price)
- Fixes #25243 - option interface-mtu parsed correctly (Lukas Zapletal)
- Fixes #25249 - update Rubocop to 0.50.x (Michael Moll)
- Fixes #25267 - Provide Ruby logger API method formatter (Lukas Zapletal)
- Bump version to 1.21-develop (Tomer Brisker)
- Refs #25100 - do not use Process::CLOCK_MONOTONIC yet (Lukas Zapletal)
- Fixes #25100 - Ruby logging stack replaced with logging gem (Lukas Zapletal)
- remove has_rdoc from gemspec (Michael Moll)
- Fixes #24978 - support for DDNS lease entries (Lukas Zapletal)
- refs #23211 - make PuppetCA token provider more resilient (Timo Goebel)
- Correct the gemspec (Ewoud Kohl van Wijngaarden)
- Fixes #23211 - Add PuppetCa TokenWhitelisting provider (Julian Todt)
- Fixes #24631 - httpboot module (Lukas Zapletal)
- Fixes #24591 - fixed debug message in MSDHCP (Lukas Zapletal)
- Fixes #24553 - Fix PuppetCa migrations (Julian Todt)
- Generate source with the actual version specified in VERSION (#599) (Eric Helms)
- Fixes #24364 - non-ascii logs are readable now (Lukáš Zapletal)
- Bump version to 1.20-develop (#594) (Tomer Brisker)
- Fixes #23799 - Refactor: Make PuppetCa pluggable (Julian Todt)
- Fixes #24016 - Allow building a tarball without bundle (Ewoud Kohl van Wijngaarden)
- fixes #23917 - convert tls version to string (Stephen Benjamin)
- Bump version to 1.19-develop (Dmitri Dolguikh)
- Fixes #23433 - lease uids are now parsed correctly (Dmitri Dolguikh)
- Fixes #23666 - reduced length of systemd test socket path (Dmitri Dolguikh)
- fixes #23383 - add support for srv dns records (dima)
- Fixes #23399 - Fix puppet kick instructions (swadeley)
- Fixes #23236 - fix for choria puppetrun on Ubuntu (Matt Cahill)
- Fixes #23166 - MAC DHCP CRUD not case sensitive (Lukas Zapletal)
- Update the README (Ewoud Kohl van Wijngaarden)
- Fixes #2677 - Removed sinatra workaround for "accept" headers (Dmitri Dolguikh)
- Fixes #23031 - parse server duid's with nested double quotes (Dmitri Dolguikh)
- Removed codeclimate badge from README.md (Dmitri Dolguikh)
- Fixes #22704 - handle dhcpd's "never" expiring leases (Dmitri Dolguikh)
- Fixes #22651 - extend dhcpd config parser support for "include"'s (Dmitri Dolguikh)
- Fixes #22496 - use common free_ips code in ms dhcp provider (Dmitri Dolguikh)
- Fixes #20826 - additional test for server-duid parser. (Dmitri Dolguikh)
- Fixes #22292 - Config option for tftp timeout (Partha Aji)
- Fixes #22304 - Allow Puppet 5.x in bundle (Michael Moll)
- Bump version to 1.18-develop (Ondrej Prazak)
- Fixes #21350 - Allow restricting to TLSv1.2 (Eric D. Helms)
- Fixes #21729 - removed gem specs for older rubies (Dmitri Dolguikh)
- Fixes #22098 - pin rdoc gem for Ruby <2.2 (Michael Moll)
- Fixes #21975 - filename dhcp option is accepted now (Dmitri Dolguikh)
- Fixes #15535 - http ports used by plugins are being logged now. (Dmitri Dolguikh)
- Fixes #21236 - No ping check causes duplicated IP with MS DHCP (Anthony Chevalet)
- Fixes #21710 - correct arguments to find_free_ip are used. (#551) (Dmitri Dolguikh)
- Fixes #21728 - pinned rack and rack-test for rubies < 2.2 (Dmitri Dolguikh)
- Fixes #21249 - Check MS DHCP range versus start/end address (Anthony Chevalet)
- fixes #21463 - new reservations are deletable (Timo Goebel)
- fixes #21581 - tests run without bundler development group (Timo Goebel)
- Fixes #20474 - return different ips on sequential unused_ip calls (Dmitri Dolguikh)
- Fixes #20826: added parsing of server-duids (Dmitri Dolguikh)
- Refs #20843 - Put public_suffix only in test (Michael Moll)
- Fixes #20843 - Pin public_suffix on RUBY_VERSION 2.0 (Ewoud Kohl van Wijngaarden)
- Fixes #20700 - templates are passed with spaces in kind (Lukáš Zapletal)
- Bump version to 1.17-develop (Daniel Lobato Garcia)
- Fixes #20542 - correct link to cipher suite names (Tomer Brisker)
- Fixes #20539 - foreman-debug shouldn't save private key (Daniel Lobato Garcia)
- Fixes #17747: Add Puppet 4 paths to debug (Eric D. Helms)
- Fixes #20236 - Unify DNS record conflict detection (Ewoud Kohl van Wijngaarden)
- Fixes #20173,#6819 - removed race condition in Subnet#unused_ip (Dmitri Dolguikh)
- Fixes #19709 - check version before loading dependencies (Dmitri Dolguikh)
- Fixes #6945 - use autosign path for puppetca (Michael Moll)
- Fixes #19666 - add DHCP record type field (Lukas Zapletal)
- Fixes #19649 - dhcpd provider ignores conflicts with leases. (Dmitri Dolguikh)
- Fixes #19441 - recursive descent parser for dhcpd config files. (Dmitri Dolguikh)
- Fixes #19599: del dhcp record returns empty body on success. (Dmitri Dolguikh)
- Fixes #6022 - disable StrictHostKeyChecking (Michael Moll)
- Fixes #19597 - fallback DHCP hostname pattern (Lukas Zapletal)
- fixes #7832 - add SSL verification tests for production Rack apps (Dominic Cleal)
- fixes #19480 - add systemd notify support (Dominic Cleal)
- fixes #19485 - pin sinatra to 1.x on Ruby 2.0-2.1 (Dominic Cleal)
- Fixes #2595 - Add more Rubyipmi methods to BMC API (Deltik)
- fixes #18177 - file descriptor leak in puppet autosign handling (Paul Kelly)
- Fixes #19234: Update register-service.rb (tek0011)
- fixes #19225 - compare minor Puppet versions numerically (Dominic Cleal)
- Fixes #992 - Make NFS a recognized protocol (Ondrej Prazak)
- Bump version to 1.16-develop (Dmitri Dolguikh)
- Fixes #18962 - moved isc file parser into dhcp_common (Dmitri Dolguikh)
- fixes #18745 - add xmlrpc dep to realm_freeipa under Ruby 2.4 (Dominic Cleal)
- Fixes #18399 - use warning instead when cache init fails (Dmitri Dolguikh)
- Fixes #18290 - increased puppet classes api timeout (Dmitri Dolguikh)
- Fixes #18395 - better error message with ms dhcp on win2008. (Dmitri Dolguikh)
- Fixes #17500 - introduced providers for realm module. (Dmitri Dolguikh)
- Fixes #18397 - Valid CNAME targets are valid DNS names (Ewoud Kohl van Wijngaarden)
- Fixes #18072 - removed load_* methods from core dhcp providers (Dmitri Dolguikh)
- Fixes #9063 - Revert pinning of Rack to < 1.6 (Michael Moll)
- Fixes #18026 - proxy can listen on multiple arbitrary interfaces (Dmitri Dolguikh)
- Fixes #18070 - add_record() checks for conflicts with leases now. (Dmitri Dolguikh)
- Fixes #17906 - Move {create,remove}_*_record to dns_common (Ewoud Kohl van Wijngaarden)
- Fixes #18149 - Duplicates due to OU in certnames (Alexander Olofsson)
- Fixes #18115 - Logger is initialized when Syslog isn't available. (Dmitri Dolguikh)
- Fixes #13318 - Revoked certs always have state 'revoked' (Dmitri Dolguikh)
- Fixes #18071 - Deleting missing records doesn't generate errors (Dmitri Dolguikh)
- fixes #17856 - support multiple dhcp records for same ip (Timo Goebel)
- fixes #17868 - dhcp: convert next-server ip correctly (Timo Goebel)
- Refs #17037 - Fix deprecation warning in dnscmd (Ewoud Kohl van Wijngaarden)
- Fixes #14394 - Undisclose WEBrick server version (Shlomi Zadok)
- Fixes #17554 - inotify events can't overflow the observer anymore (Dmitri Dolguikh)
- Fixes #17045 - hostgroup templates URLs proxied correctly (Lukas Zapletal)
- Bump version to 1.15-develop (Dominic Cleal)
- fixes #17387 - SubnetService#find_subnet has constant time lookup (Dominic Cleal)
- Fixes #15874 - added logging of 'X_REQUEST_ID' http headers (Dmitri Dolguikh)
- Fixes #17172 - SSH BMC network details implementation (Lukas Zapletal)
- Fixes #16079 - subnet recursive parsing (Lukas Zapletal)
- Fixes #17037 - Resolver::DNS#getresources is used now. (Dmitri Dolguikh)
- Fixes #7766: ms dhcp provider uses native dhcps api now. (Dmitri Dolguikh)
- fixes #17125 - Prompt for Windows service name (Alexander Fisher)
- fixes #17262 - verify the JSON request body contains a hash (Dominic Cleal)
- Fixes #17069 - foreman-debug counts size instead lines (Pavel Moravec)
- Fixes #16964 - Proxy::Dns::Record#dns_find works with ipv6 params (Dmitri Dolguikh)
- Fixes #16860 - use blank 404 page (Tomas Strachota)
- fixes #13237 - Use RRData option when deleting DNS records (Alexander Fisher)
- Fixes #10250 - simple SSH BMC provider (Lukas Zapletal)
- fixes #16760 - require 'concurrent' to load concurrent-ruby (Dominic Cleal)
- Fixes #16766 - allow non hash-rocket syntax in rubocop (Dmitri Dolguikh)
- Fixes #15095 - Support for puppet environment classes api (Dmitri Dolguikh)
- Bump version to 1.14-develop (Dominic Cleal)
- Fixes #16410 - handle several instances of "server" in ipa config (Dmitry Vasilets)
- Fixes #16099 - in daemon mode module threads continue to execute (Dmitri Dolguikh)
- Fixes #16122 - added equality method (Dmitri Dolguikh)
- Fixes #16145 - Removed unnecessary tests for common dhcp entities (Dmitri Dolguikh)
- refs #16021 - monitor modifications on entire directory (Dominic Cleal)
- fixes #16021 - restart inotify monitoring on queue overflow (Dominic Cleal)
- Fixes #15942 - dns module and providers use updated di config. (Dmitri Dolguikh)
- fixes #16009 - added support for native iPXE variant (Konstantin Orekhov)
- Fixes #10581 - ensure string from IPA XML-RPM is marked as UTF8 (Ivan Nečas)
- fixes #15985 - Pxegrub2 tftp filename prefix (Timo Goebel)
- Fixes #15959 - removed recursive require (Dmitri Dolguikh)
- Fixes #15944 - Make it obvious that messages come from DHCP (Guido Günther)
- Fixes #15864 - Pxelinux alias variant for Syslinux (Lukas Zapletal)
- Fixes #2687: Leases file is no longer parsed on every request (Dmitri Dolguikh)
- Fixes #15865 - pin json_pure to < 2.0.0 for RUBY_VERSION < 2.0.0 (Dmitri Dolguikh)
- Fixes #15791 - no more intermittent test failures in ms dhcp test (Dmitri Dolguikh)
- fixes #13575 - Don't fail on missing PXEClient dhcp opt (Guido Günther)
- fixes #15572 - incorrect missing vendor class check in native ms (Paul Kelly)
- fixes #15452 - disable DDNS updates for Native MS DHCP provider (Paul Kelly)
- fixes #1172 - proxy should return leases and reservations (Paul Kelly)
- fixes #15244 - provide a CNAME api (Paul Kelly)
- Fixes #15434 - pin ruby-libvirt to > 0.6.0 (Dmitri Dolguikh)
- fixes #15373 - windows ping called with very small timeout (Paul Kelly)
- fixes #15348 - close check is now correct for std_out and std_err (Paul Kelly)
- fixes #15341 - case sensitivity issues with dnscmd (Jack Watroba)
- fixes #15323 - correct Puppet SSH provider name (Dominic Cleal)
- fixes #15300 - change rubygems.org API endpoint to HTTPS (Dominic Cleal)
- Fixes #15025 - do not show foreman_proxy startup messages. (Dmitri Dolguikh)
- Fixes #15240 - empty arrays no longer trigger validation failures (Dmitri Dolguikh)
- Fixes #12633 - Pxegrub2 variant and multiple configs (Lukas Zapletal)
- Bump version to 1.13-develop (Dominic Cleal)
- Fixes #15130 - use puppet apiv2 when 'environmentpath' is present (Dmitri Dolguikh)
- Fixes #15110 - used default setting values are marked now. (Dmitri Dolguikh)
- Fixes #13667 - support for puppet 4.0 in puppet_proxy module (Dmitri Dolguikh)
- fixes #15043 - Fix puppet 4 mco search path (Alexander Fisher)
- Fixes #15028 - log buffer capacity reported correctly (Lukas Zapletal)
- Fixes #14952 - isc_dhcp respects :subnets setting now. (Dmitri Dolguikh)
- Fixes #14995 - proxy default log is INFO (Lukas Zapletal)
- Fixes #14618 - refactored module initialization (Dmitri Dolguikh)
- Fixes #10015 - FreeIPA realm-proxy permissions do not allow for removing a DNS record at time of host delete (Matthias Thubauville)
- Fixes #14931 - TFTP class instantiating fixed (Lukas Zapletal)
- Fixes #14775 - virsh provider is now being renamed (Dmitri Dolguikh)
- Fixes #14755 - Do not install SIGUSR1 handler on windows. (Dmitri Dolguikh)
- Fixes #14862 - pin webmock version for Ruby <1.9.3 (Michael Moll)
- Fixes #13761 - libvirt provider with native bindings (Lukas Zapletal)
- Refs #13544: Test for AAAA record case sensetivity (Ewoud Kohl van Wijngaarden)
- Fixes #13544: Support IPv6 in DNS (Ewoud Kohl van Wijngaarden)
- Fixes #13747 - Allow configuration of dsabled SSL cipher suites (Tomer Brisker)
- Fixes #14461 - removed :method_missing from Proxy::Settings::Plugin (Dmitri Dolguikh)
- Fixes #10504 - Avoid splitting undefined customrun_args (Pieter Hollants)
- Fixes #14387 - correctly disable SSLv3 on Ruby 1.8.7 (Brandon Weeks)
- Fixes #13552: Validate DNS names passsed to the DNS API (Ewoud Kohl van Wijngaarden)
- Fixes #13551: Add IP address validation in DNS API (Ewoud Kohl van Wijngaarden)
- fixes #14142 - launch WEBrick directly, avoiding Rack::Server (Dominic Cleal)
- Fixes #12295 - Added support for log rotation (Dmitri Dolguikh)
- Fixes #14159 - output to the console during tests reduced to the normal volume (Dmitri Dolguikh)
- fixes #14134 - update rubocop and pin for rake 11.x compatibility (Dominic Cleal)
- Fixes #13947 - removed html views for dhcp and root modules (Dmitri Dolguikh)
- Refs #12209: Pass in the actual values to {create,remove}_ptr_record (Ewoud Kohl van Wijngaarden)
- Fixes #13841 - Smart Proxy DNS nsupdate GSS fails (cyrus-mc)
- Fixes #13536 - working ptr's for dnscmd (Daniel Helgenberger)
- Fixes #13427 - fixed log buffer with SYSLOG (Lukas Zapletal)
- Bump version to 1.12-develop (Dominic Cleal)
- Fixes #13028: provider will not be configured if the main plugin is disabled (Dmitri Dolguikh)
- refs #13638 - fix .empty? check in pkg:generate_source task (Dominic Cleal)
- Fixes #13638 - Enable rubocop 0.37.1 cops (Brandon Weeks)
- refs #13421 - change array layout to suit rubocop 0.37.1 (Dominic Cleal)
- Fixes #13421 - Support for dnscmd zone names and sub zones (Daniel Helgenberger)
- Fixes #13701 - improve .gitignore (Marek Hulan)
- fixes #13522 - add correct path to puppet binary (Goh Choon Ming)
- Fixes #13637 - Upgrade rubocop to 0.37.1 (Brandon Weeks)
- Refs #12715 - decoupled logs API from core (Lukas Zapletal)
- Fixes #13346 - use of .each_line on array (Daniel Helgenberger)
- refs #12715 - update default values of log_buffer settings (Dominic Cleal)
- Fixes #12715 - simple log buffer and API (Lukas Zapletal)
- Fixes #13219: force utf-8 external encoding on puppet classes (Dmitri Dolguikh)
- Fixes #13129: fixes intermittent test failures in ms dhcp server (Dmitri Dolguikh)
- fixes #13062 - handle missing or non-IP fixed-address ISC fields (Dominic Cleal)
- Fixes #12555: switched to session-based freeipa api (Dmitri Dolguikh)
- Fixes #11081: broke out dhcp providers into separate modules (Dmitri Dolguikh)
- Fixes #12572 - refactor openssl settings (Brandon Weeks)
- Fixes #10378: smart-proxy service starts on windows now (Dmitri Dolguikh)
- Fixes #12465 - remove deleted records from results (Brandon Weeks)
- Fixes #12568 - Add module versions to /version (Shlomi Zadok)
- Fixes #12597: remove extraneous method definition in the DNS API tests (Aaron Stone)
- Fixes #12209: introduced basic support for di in dns module (Dmitri Dolguikh)
- Fixes #12574 - Upgrade rubocop to 0.35.1 (Brandon Weeks)
- Fixes #12578 - set SSL_OP_CIPHER_SERVER_PREFERENCE (Brandon Weeks)
- Fixes #12580 - configure WEBrick to use ::Proxy::Log.logger (Brandon Weeks)
- Fixes #12466: isc dhcp provider handles subnet block declarations correctly now. (Dmitri Dolguikh)
- Fixes #12546: smart-proxy now loads under bundler_ext (Dmitri Dolguikh)
- Fixes #12146: moved core dependencies into gemspec (Dmitri Dolguikh)
- Fixes #12469 - raise Proxy::DHCP::InvalidRecord (Brandon Weeks)
- Fixes #12211 - Improve DHCP subnets parsing to get more informations from DHCP server (Baptiste Agasse)
- fixes #12449 - load nsupdate_gss config from plugin settings (Dominic Cleal)
- Fixes #12136: load only Puppet dependencies that are required by the config (Dmitri Dolguikh)
- Fixes #12254: pinned addressable gem to ~> 2.3.8 (Dmitri Dolguikh)
- Fixes #12138: Add require statements to run from bundler (Ewoud Kohl van Wijngaarden)
- Fixes #8946: Added a handler for SIGTERM (Dmitri Dolguikh)
- Fixes #12370 - proxy logs stacktrace on SIGTTIN (Lukas Zapletal)
- Fixes #12319: fixed race condition in templates module (Dmitri Dolguikh)
- Fixes #12217: support older versions of bundler (Dmitri Dolguikh)
- fixes #12178 - Smart Proxy Plugins do not handle rc versions well (Timo Goebel)
- Fixes #12152: support for ruby 2.2.x (Dmitri Dolguikh)
- Fixes #9974: do not attempt to open settings.d/foreman_proxy.yml (Dmitri Dolguikh)
- Fixes #11783 - MS providers: add compat for ruby2.0 (Daniel Helgenberger)
- Bump version to 1.11-develop (Dominic Cleal)
- Fixes #12012: missing puppet module dependencies no longer crash smart-proxy on startup (Dmitri Dolguikh)
- Fixes #11997 - DHCP option for NX-OS should be quoted (Fernando Carolo)
- refs #11599 - permit Puppet 4.x in Gemfile (Dominic Cleal)
- Fixes #11599: introduced support for puppet 4.0 These changes are based on Damien Churchil's PR (Dmitri Dolguikh)
- Fixes #11866: first pass at speeding up dhcp (both isc and ms). (Dmitri Dolguikh)
- Fixes #11318 - HttpDownloads.start_download returns instance (Lukas Zapletal)
- Fixes #11676 - added dhcp_server option (Lukas Zapletal)
- fixes #11653: only display warning message about unavailability of 'SYSLOG' when it was configured (Dmitri Dolguikh)
- fixes #11654: no longer rely on rubygems to determine rack version (Dmitri Dolguikh)
- Fixes #11323 - fixed PID writing, interrupt trap and daemon logging (Lukas Zapletal)
- Fixes #10940: puppetrun works properly now on ruby > 1.8.7 (Dmitri Dolguikh)
- Fixes #11311: puppet tests no longer fail if /etc/puppet/puppet.conf doesn't exist (Dmitri Dolguikh)
- Fixes #11103: tftp tests no longer fail when module config file contains changes. (Dmitri Dolguikh)
- Fixes #11229: changes in puppet modules are now being detected when listing available puppet classes (Dmitri Dolguikh)
- Fixes #10259 - Templates are now fully proxied (Lukas Zapletal)
- fixes #11131 - use consistent timestamps in cache test expectations (Dominic Cleal)
- fixes #10941: fixed puppet class caching (Dmitri Dolguikh)
- Fixes #10877 - puppet pinned to 3.x series (Lukas Zapletal)
- fixes #11098: fixed ruby 1.8-specific issues around plugin and provider searches (Dmitri Dolguikh)
- Fixes #11090: fix README filename in the gemspec (Ewoud Kohl van Wijngaarden)
- Fixes #7008: dns providers are now plugins (Dmitri Dolguikh)
- Bump version to 1.10-develop (Dominic Cleal)
- fixes #10801: fixed spelling of error messages in puppetca module (Dmitri Dolguikh)
- fixes #10895: moved smart_proxy_chef-specific classes to the plugin itself (Dmitri Dolguikh)
- fixes #10769 - added a debug trace when downloading templates from foreman (Dmitri Dolguikh)
- refs #8046: Add possibility for providers to overwrite find_record to load single records (Klaas Demter)
- Fixes #10527 - DHCP/TFTP support for Cisco POAP (Fernando Carolo)
- Fixes #9121: better readme for the github project page (Dmitri Dolguikh)
- Fixes #10639 - stracktrace is reported via log_halt (Lukas Zapletal)
- Fixes #10003: Support for config file migrations (Dmitri Dolguikh)
- Fixes #9713: restore WIN32 service support (Martin Matuska)
- Fixes #10324 - Improves certificate serial lookup in Puppet CA module (Jon McKenzie)
- Fixes #10320 - WIN32 requires additional gems (Matt Chesler)
- Fixes #10264 - omapi port not evaluated. (Florian Maier)
- Fixes #10116 - BMC is not able to use parameters passed in through body (Corey Osman)
- Fixes #7543 - allow additional rubyipmi connection options to be passed through (Corey Osman)
- Fixes #9852 - REST API violation in BMC smart proxy API     * authentication errors now return 401 and proper message (Corey Osman)
- fixes #9919 - stub DNS lookup during trusted hosts test (Dominic Cleal)
- Fixes #9740 - support foreman_url with path (Marek Hulan)
- Fixes #9840 - BMC providers should return 501 error code when they don't implement the api call (Corey Osman)
- Fixes #9711 - bmc module does not full implement its api    * adds additional logic around providers    * implements /providers, /providers/installed, /host, /    * the / returns a list of resources to use to help the user    * catches a case where if the provider is nil, we can default to a provider and warn the user    * changes the bmc_setup method to be public instead of private.    * refactors the providers_installed? rubyipmi command to providers_installed (Corey Osman)
- Fixes #9710 - add rubyipmi test_connection api call (Corey Osman)
- Fixes #9709 - allow the bmc module to log all impi calls (Corey Osman)
- Fixes #9709 - allow the bmc module to log all impi calls (Corey Osman)
- Bump version to 1.9-develop (Dominic Cleal)
- Fixes #9245 - Add override setting to allow mcollective puppet runs to run as a different user (Corey Osman)
- refs #8625: add support for custom salt_puppetrun_cmd config parameter (Christian Arnold)
- refs #9299: prefixes ending with a '/' do not get appended a '-' (Dmitri Dolguikh)
- Fixes #9457 - fixed file permissions of debug script (Lukas Zapletal)
- Fixes #9089 - refactored SSL client verification into method (Lukas Zapletal)
- Refs #8710 - moved foreman-debug bits into proxy package (Lukas Zapletal)
- Refs #7849 - Avoid OpenSSL deprecation (Markus Frosch)
- fixes #9102 - remove trusted_hosts check from templates module (Stephen Benjamin)
- Fixes #8905 - bind_port config option (Lukas Zapletal)
- Fixes #7849 - re-factor trusted_hosts handling (Markus Frosch)
- Fixes #9061: pinned rack version to < 1.6 (Dmitri Dolguikh)
- Fixes #8948: Remove implicit test ordering from DHCP API test (Markus Frosch)
- Fixes #8788 - DHCP not detecting pingable addresses on Windows (zjherner)
- Fixes #8853 - Actually redirect stderr to proxy error log (Mathieu Parent)
- fixes #8811 - refactor per-module enabling of http(s) to http(s)_rackup (Shlomi Zadok)
- Fixes #8748 - Allow per-module enabling of http(s) (Greg Sutcliffe)
- Fixes #8210 - Adding caching for smart-proxy puppet classes using Stefan Julin's implementation of cache (Ori Rabin)
- Fixes #8538 - Fixed ISC DHCP states and duplicities (Lukas Zapletal)
- fixes #8282: sslv3 is disabled (Dmitri Dolguikh)
- fixes #7197 - add man page for foreman-prepare-realm (Stephen Benjamin)
- Fixes #8347 - facts feature should not be enabled by default (Ori Rabin)
- fixes #8278 - update foreman-prepare-realm for freeipa 4 (Stephen Benjamin)
- Refs #8267 - pass template_url in call to foreman (Greg Sutcliffe)
- Fixes #8320 - shutdown shell provider threading fixed (Lukas Zapletal)
- fixes #8300 - set webmock custom HTTP status response correctly (Dominic Cleal)
- Fixes #8160 - Remove chef related code (Marek Hulan)
- Refs #969 - Proxy-side changes for serving templates from the proxy (Dustin Tsang)
- fixes #7352 - missing DNS record returns 404 (Shlomi Zadok)
- Fixes #8006 - added STDOUT proxy log option (Lukas Zapletal)
- Bump version to 1.8-develop (Dominic Cleal)
- Fixes #7859 - puppetssh run works on Ruby 1.9+ (Lukas Zapletal)
- Fixes #7922 - promote uri and http to instance property (Šimon Lukašík)
- fixes #7660: fixes first bunch of rubocop warnings (Dmitri Dolguikh)
- Fixes #7862 - Upgrade rubocop version (David Davis)
- Fixes #7860 - added puppetssh_wait option (Thomas Kuther)
- fixes #7822 - forbid HTTPS requests with no client SSL certificate (Dominic Cleal)
- fixes #7850 - pin mixlib-shellout for Ruby 1.8 compatibility (Dominic Cleal)
- Fixes #7749 - allow using logger in log_halt helper (Marek Hulan)
- Fixes #7181: added initial support for rubocop (Dmitri Dolguikh)
- fixes #7596 - validate plugin dependencies when loading, various fixes (Dominic Cleal)
- Fixes #7438: moved facter loading into the facter plugin descriptor (Dmitri Dolguikh)
- fixes #7297 - corrected name of DNS namespace in virsh error handlers (Dominic Cleal)
- fixes #7351: plugins no longer crash smart-proxy if they are missing either of rackup paths (Dmitri Dolguikh)
- fixes #7235: dhcp tests are now order-independent (Dmitri Dolguikh)
- fixes #7225: logger is now being correctly initialized during launch (Dmitri Dolguikh)
- fixes #7274 - generate date format expectation in tests to handle Ruby/JSON differences (Dominic Cleal)
- fixes #7240: puppetca now loads correctly if puppet module is disabled (Dmitri Dolguikh)
- fixes #7080: symbols are no longer being sorted (Dmitri Dolguikh)
- fixes #7060: puppet gem is no longer required if puppetca is disabled. (Dmitri Dolguikh)
- fixes #7062: facts module uses correct path for 'requires' (Dmitri Dolguikh)
- fixes #7015 - to_json passes options through correctly, remove array wrapping (Dominic Cleal)
- Bump version to 1.7-develop (Dominic Cleal)
- fixes #6722 - correct require for kerberos utilities (Dominic Cleal)
- fixes #6589 - add trusted_hosts check back (Dominic Cleal)
- fixes #6956 - rack 1.1 minimum required for Rack::Server#start (Dominic Cleal)
- fixes #6542 - ship freeipa users script with the smart proxy (Stephen Benjamin)
- fixes #6522 - move request code out of chef module (Martin Milata)
- Fixes #6743 - Common code for manage_subnet? in ISC and Native MS (Aaron Stone)
- Fixes #6744 - Avoid nested arrays and extra array copies in the ISC DHCP config parser (Aaron Stone)
- Fixes #6745 - Clean up the params input to the DHCP::Server.addRecord method (Aaron Stone)
- Fixes #6742 - Add a unit test suite for the DHCP API (Aaron Stone)
- fixes #6908 - update request tests for latest Chef release (Dominic Cleal)
- Fixes #6790: Restrict ci_reporter gem to less than 2.0.0 to fix CI. (Aaron Stone)
- Fixes #6772: added support for testing of plugins (Dmitri Dolguikh)
- fixes #4699 - support Puppet environments API for directory envs (Dominic Cleal)
- Fixes #6689 - Allow nil mac address for TFTP API calls that do not require a MAC (Trey Dockendorf)
- fixes #6700 - tests for Proxy::Puppet::Runner shell methods (Aaron Stone)
- fixes #6661: trailing slash is not required in urls (Dmitri Dolguikh)
- fixes #6588 - don't load user settings when testing default settings (Dominic Cleal)
- fixes #6585 - Update Proxy::Util::CommandTask to handle Ruby 1.8 and 1.9+ (Aaron Stone)
- fixes #6584 - Replace Kernel#open with File.open (Aaron Stone)
- fixes #6583 - Use Enumerable#find instead of each where possible (Aaron Stone)
- Fixes #6412: Trying to remove a DHCP record fails due to an invalid subnet check (David Swift)
- Fixes #6396: an error removing a DHCP record (record doesn't exist) stops the delete process for a host (David Swift)
- fixes #6275 - idempotence needs clone of original data and to handle *_port (Dominic Cleal)
- fixes #6289: avoids concurrent downloads of files with the same name and destination dir. (Dmitri Dolguikh)
- fixes #6377 - incorrect dhcp providers server virsh.rb loadSubnetData (Vincent Kramar)
- fixes #6085 - fixed virsh dhcp provider netmask interpretation (Vincent Kramar)
- fixes #6474: smart-proxy relies on Bundler to load sinatra dependency (Dmitri Dolguikh)
- fixes #6306: removed possible namespace collisions with puppet and chef (Dmitri Dolguikh)
- fixes #6436: plugins are now being loaded after core modules (Dmitri Dolguikh)
- fixes #6341 - Add support for 64-bit MAC addresses (Trey Dockendorf)
- fixes #6334 - pass virsh_network to virsh DNS provider (Dominic Cleal)
- refs #4866 - Added config/settings.d/*yml to gitignore (Lukas Zapletal)
- Fixes #4866: Breaking up monolithic smart-proxy into modules (Dmitri Dolguikh)
- Fixes #6086 - stop remote command execution and path exploit in TFTP API (CVE-2014-0007) (Greg Sutcliffe)
- fixes #5675 - expect dns_key setting to be nil if not set (Dominic Cleal)
- fixes #5856 - use public initializer for Puppet settings (Dominic Cleal)
- refs #5987 - remove unused packaging files (Dominic Cleal)
- Fixes #5907 - Look at all records when suggesting IPs (Greg Sutcliffe)
- fixes #5677 - handle booleans from settings.yml as bools (Dominic Cleal)
- refs #5793 - add pkg:generate_source rake task to create tar.bz2 (Dominic Cleal)
- Fixes #5739 - Only look at reservations when deleting a DHCP record (Greg Sutcliffe)
- Fixes #5648 - Match the DHCP specification of last-lease-wins (Greg Sutcliffe)
- Fixes #5712: Limit DHCP subnets for ISC if necessary (Jimmi Dyson)
- fixes #5561 pass arguments correctly in run puppet over ssh (Alyssa Hardy)
- fixes #5522 - future parser can be set in puppet.conf [main] (Dominic Cleal)
- fixes #5239 - update for Puppet 3.5 future parser changes (Dominic Cleal)
- fixes #5054 - Minor bug fixes to FreeIPA Smart Proxy (Stephen Benjamin)
- Small symantic changes. (Félix Barbeira)
- Bump version to 1.6-develop (Dominic Cleal)
- fixes #5123 - corrected string typos (Matt Jarvis)
- fixes #5123 - IP only from the same subnet and range (Sean Handley)
- fixes #5019 - puppet cert sudo command now configurable and optional (Lukas Zapletal)
- fixes #1809 - freeipa integration to smartproxy (Stephen Benjamin)
- fixes #4686 - don't rely on Puppet[:config] to store config file location (Dominic Cleal)
- Fixes #2259 - trusted hosts work with passenger (Riley Shott)
- fixes #4661 - store hostname with virsh DHCP reservations (Dominic Cleal)
- fixes #4660 - stub omshell during DHCP tests (Dominic Cleal)
- fixes #4658 - parse puppet.conf with augeas instead of puppet internals (Dominic Cleal)
- Fixes #4215 smart-proxy needlessly creates tmp/pids directory (Martin Matuska)
- refs #3874 - add which to wget call (Michael Moll)
- fixes #4116 - added missing LICENSE file (Lukas Zapletal)
- Bump version to 1.5-develop (Dominic Cleal)
- refs #3699 - combine paths when running Foreman under a prefix (Marek Hulan)
- refs #3699 - fix typo in chef_proxy's authentication, overriding wrong variable (Romain Vrignaud)
- fixes #3991 - dnscmd provider for smart-proxy (Windows) (Martin Matuska)
- fixes #3965 Change API endpoint for chef_proxy to be the same as Foreman's (Romain Vrignaud)
- refs #3699 - update settings.yml.example (Romain Vrignaud)
- fixes #3966 Puppet is not listed as bundler dependency (Romain Vrignaud)
- fixes #3943 - add simple virsh providers for libvirt DNS/DHCP (Lukas Zapletal)
- fixes #2878 - Import Classes when using parser = future, on Puppet 3.2+ (Rickard von Essen)
- fixes #3941 - Support for Junos ZTP (Frank Wall)
- fixes #3874 - extend paths for FreeBSD support (Michael Moll)
- fixes #3067 - add sparc solaris dhcp options for ISC (dima)
- fixes #3936 added a method of running a custom tool, to trigger puppet. (Glen Ogilvie)
- fixes #3833 - ship config.ru in RPMs for running under passenger (Ewoud Kohl van Wijngaarden)
- fixes #3712 - change develop versioning scheme to indicate next version (Dominic Cleal)
- fixes #3732 - Saltstack puppet provider, using 'salt host puppet.run' (Francois Deppierraz)
- fixes #3699 - chefproxy feature, proxies facts and reports to Foreman (Romain Vrignaud)
- fixes #3150 - adds ability to specify the user to invoke sudo as when calling mco/puppet kick (Greg Petras)
- fixes #3173 - tell puppetca to use the configured ssl dir (Aaron Stone)
- fixes #2870 - Always empty PXEClient on native_ms (Tomas Edwardsson)
- fixes #3048 - Add execution debug statement to the logs (Ohad Levy)
- fixes #3047 - added puppetrun over ssh support (Hannes Schaller)
- Bump version to 1.3-develop (Lukas Zapletal)
- fixes #3009 - add Proxy::Log to Proxy::DNS::Nsupdate class so 'logger.debug' works (Jeremy Kitchen)
- Fixes #2941: don't mention autosigning when direct signing fails (Sam Kottler)
- fixes #2055 - add rubyipmi dependency for BMC support (Dominic Cleal)
- Fix #2807: Remove the SCL prefix from the name (Sam Kottler)
- Fixes #2790 - Optionally set DNS TTL value from settings.yml config file (Povilas Daukintis)
- fixes #2738 - handle multiple dynamic modulepaths (Daniel Baeurer)
- Fixes #2714 - corrected IO#popen parameter on ruby 1.8.7 (Dmitri Dolguikh)
- fixes #2673 - none/wildcard http 'accept' headers are being handled correctly now (Dmitri Dolguikh)
- fixes #2662 - Proxy::Util.escape_for_shell is being used in PuppetRun.run and MCollective.run methods (Dmitri Dolguikh)
- Fixes #2659 - Use gsub in a non-destructive manner (Greg Sutcliffe)
- Fixes #2654 - Rewrite master as production when only one environment is found (Greg Sutcliffe)
- fixes #2652 - systemd service now working (Lukas Zapletal)
- fixes #2520 - defines default settings for dns and puppet (Dmitri Dolguikh)
- fixes #2614 - log messages regarding puppetrun via mcollective (Kamil Winczek)
- Fixes #2119 - Properly support colon-separated modulepath (Greg Sutcliffe)
- fixes #2547 - fix ruby-abi on non-SCL EL6 (Dominic Cleal)
- Add nonscl koji tags to build configuration (Dominic Cleal)
- Bump version to 1.2-develop (Dominic Cleal)
- fixes #2531 - support for scl-aware building, not SCL by default (Martin Bačovský)
- fixes #2515 - rkerberos RPM required (Martin Bačovský)
- fixes #2514 - lock minitest to 4.7 (Dominic Cleal)
- fixes #2523 - add missing require (Dominic Cleal)
- Typo fix in the description (Ewoud Kohl van Wijngaarden)
- fixes #2510 - sync init script and changelog from foreman-rpms, fix shadow-utils dep (Dominic Cleal)
- Added support for building with tito (Martin Bačovský)
- fixes #2116 - mcollective support for the proxy to initialize puppetrun (Sam Kottler)
- fixes #1685 - GSS-TSIG support for DNS updates (Dominic Cleal)
- Override the initialize method for the shell provider, as no connection setup is needed (Greg Sutcliffe)
- fixes #2388 - The path to puppetca is /opt/puppet/sbin for PE. (Ashley Penney)
- fixes #2387 - Add shell provider to the BMC API (Greg Sutcliffe)
- adding Sinatra::Request.accept? method for pre-1.3.0 (Lukas Zapletal)
- refactoring http accept header for Sinatra 1.4.2+ (Lukas Zapletal)
- fixes #2067 - disable puppet's handling of 'import' to fix manifests containing it (Dominic Cleal)
- Ignore .bundle dir (Dominic Cleal)
- fixes #2209 - explicitly use Proxy::Puppet::Environment#name for to_json (Dominic Cleal)
- fixes #2255 Fix frozen facts in facts_api (Greg Sutcliffe)
- fixes #2191 - undef in puppet class params is optional (Dominic Cleal)
- Fixed bad indentation in the puppet clasS (Sam Kottler)
- fixes #2261 - fixes for CI testing under Ruby 1.9 (Dominic Cleal)
- ignore RVM/RBenv files (Greg Sutcliffe)
- Fixed CVE-2013-0210 and added test for new escape method (Sam Kottler)

* Mon May 19 2025 Ondřej Gajdušek <ogajduse@redhat.com> - 3.16.0-0.1.develop
- Bump version to 3.16-develop

* Thu Apr 10 2025 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 3.15.0-0.2.develop
- Add dependency on base64 gem

* Tue Feb 18 2025 Patrick Creech <pcreech@redhat.com> - 3.15.0-0.1.develop
- Bump version to 3.15-develop

* Fri Jan 24 2025 Adam Ruzicka <aruzicka@redhat.com> - 3.14.0-0.2.develop
- Declare rexml as dependency

* Wed Nov 06 2024 Patrick Creech <pcreech@redhat.com> - 3.14.0-0.1.develop
- Bump version to 3.14-develop

* Tue Aug 20 2024 Patrick Creech <pcreech@redhat.com> - 3.13.0-0.1.develop
- Bump version to 3.13-develop

* Wed May 22 2024 Zach Huntington-Meath <zhunting@redhat.com> - 3.12.0-0.1.develop
- Bump version to 3.12-develop

* Tue Feb 20 2024 Patrick Creech <pcreech@redhat.com> - 3.11.0-0.1.develop
- Bump version to 3.11-develop

* Wed Jan 03 2024 Evgeni Golov - 3.10.0-0.2.develop
- Drop requirement on foreman-debug

* Wed Nov 29 2023 Zach Huntington-Meath <zhunting@redhat.com> - 3.10.0-0.1.develop
- Bump version to 3.10-develop

* Fri Nov 24 2023 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 3.9.0-0.3.develop
- Update Gem dependencies

* Fri Oct 13 2023 Eric D. Helms <ericdhelms@gmail.com> - 3.9.0-0.2.develop
- Require fapolicyd rules package if fapolicyd is present

* Wed Aug 23 2023 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 3.9.0-0.1.develop
- Bump version to 3.9-develop

* Tue May 23 2023 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 3.8.0-0.1.develop
- Bump version to 3.8-develop

* Thu May 11 2023 Evgeni Golov - 3.7.0-0.3.develop
- drop SCL bits from spec file

* Thu May 04 2023 Evgeni Golov - 3.7.0-0.2.develop
- use grep -E instead of egrep in post script

* Wed Feb 22 2023 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 3.7.0-0.1.develop
- Bump version to 3.7-develop

* Tue Dec 13 2022 Adam Ruzicka <aruzicka@redhat.com> - 3.6.0-0.2.develop
- Notify only the main process on logrotate

* Tue Nov 08 2022 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 3.6.0-0.1.develop
- Bump version to 3.6-develop

* Wed Aug 10 2022 Patrick Creech <pcreech@redhat.com> - 3.5.0-0.1.develop
- Bump version to 3.5-develop

* Tue May 10 2022 Odilon Sousa <osousa@redhat.com> - 3.4.0-0.1.develop
- Bump version to 3.4-develop

* Thu Feb 10 2022 Zach Huntington-Meath <zhunting@redhat.com> - 3.3.0-0.1.develop
- Bump version to 3.3-develop

* Fri Nov 12 2021 Odilon Sousa <osousa@redhat.com> - 3.2.0-0.1.develop
- Bump version to 3.2-develop

* Tue Nov 09 2021 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 3.1.0-0.2.develop
- Swap wget for curl dependency

* Thu Aug 05 2021 Patrick Creech <pcreech@redhat.com> - 3.1.0-0.1.develop
- Bump version to 3.1-develop

* Thu Jul 22 2021 Tomer Brisker <tbrisker@gmail.com> - 3.0.0-0.1.develop
- Bump version to 3.0-develop

* Tue May 04 2021 Zach Huntington-Meath <zhunting@redhat.com> - 2.6.0-0.1.develop
- Bump version to 2.6-develop

* Thu Mar 11 2021 Eric D. Helms <ericdhelms@gmail.com> - 2.5.0-0.2.develop
- Rebuild against rh-ruby27

* Tue Feb 02 2021 Evgeni Golov - 2.5.0-0.1.develop
- Bump version to 2.5-develop

* Mon Nov 02 2020 Patrick Creech <pcreech@redhat.com> - 2.4.0-0.1.develop
- Bump version to 2.4-develop

* Mon Oct 26 2020 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 2.3.0-0.4.develop
- Update Gem dependencies

* Fri Sep 04 2020 Lukas Zapletal <lzap+rpm@redhat.com> - 2.3.0-0.3.develop
- Enforce tmpfiles

* Wed Sep 02 2020 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 2.3.0-0.2.develop
- Add sd_notify gem dependency (#30731)

* Tue Aug 11 2020 Eric D. Helms <ericdhelms@gmail.com> - 2.3.0-0.1.develop
- Bump version to 2.3-develop

* Thu Jun 25 2020 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 2.2.0-0.4.develop
- Update Gem dependencies

* Sun Jun 21 2020 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 2.2.0-0.3.develop
- Set config file modes to 0640 and ownership to foreman-proxy

* Wed May 13 2020 Eric D. Helms <ericdhelms@gmail.com> - 2.2.0-0.2.develop
- Bump version to 2.2-develop

* Tue Apr 07 2020 Zach Huntington-Meath <zhunting@redhat.com> - 2.1.0-0.2.develop
- Bump to release for EL8

* Thu Feb 13 2020 Tomer Brisker <tbrisker@gmail.com> - 2.1.0-0.1.develop
- Bump version to 2.1-develop

* Fri Jan 17 2020 Zach Huntington-Meath <zhunting@redhat.com> - 2.0.0-0.3.develop
- Update spec to remove the ror scl

* Wed Jan 08 2020 Eric D. Helms <ericdhelms@gmail.com> - 2.0.0-0.2.develop
- Update and rebuild into SCL

* Mon Jan 06 2020 Tomer Brisker <tbrisker@gmail.com> - 2.0.0-0.1.develop
- Bump version to 2.0-develop

* Mon Nov 18 2019 Evgeni Golov - 1.25.0-0.2.develop
- Unify prerelease macro handling

* Wed Oct 30 2019 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1.25.0-0.1.develop
- Bump version to 1.25-develop

* Wed Sep 18 2019 Eric D. Helms <ericdhelms@gmail.com> - 1.24.0-0.2.develop
- Updates to build for SCL

* Tue Jul 30 2019 Evgeni Golov - 1.24.0-0.1.develop
- Bump version to 1.24-develop

* Tue Apr 23 2019 Evgeni Golov <evgeni@golov.de> - 1.23.0-0.1.develop
- Bump version to 1.23-develop

* Wed Jan 16 2019 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1.22.0-0.1.develop
- Bump to 1.22

* Fri Nov 16 2018 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1.21.0-0.4.develop
- Handle a missing prerelease macro

* Wed Oct 24 2018 Adam Price <komidore64@gmail.com> - 1.21.0-0.3.develop
- add nightly macro

* Wed Oct 24 2018 Lukas Zapletal <lzap+rpm@redhat.com> - 1.21.0-0.2.develop
- Added logging and logging-journald dependencies

* Wed Oct 17 2018 Eric D. Helms <ericdhelms@gmail.com> - 1.21.0-0.1.develop
- Bump version to 1.21 and reset release

* Thu Sep 13 2018 Timo Goebel <mail@timogoebel.name> - 1.20.0-0.2.develop
- add puppetca_token_whitelisting provider helper script

* Wed Jul 25 2018 Eric D. Helms <ericdhelms@gmail.com> - 1.20.0-0.1.develop
- Add prerelease macro

* Tue Jul 17 2018 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1.20.0-0.develop
- Bump version to 1.20-develop

* Thu May 31 2018 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1.19.0-0.develop
- Bump version to 1.19-develop

* Mon Aug 28 2017 Daniel Lobato Garcia <me@daniellobato.me> - 1.17.0-0.develop
- Bump version to 1.17-develop

* Wed Mar 29 2017 Eric D Helms <ericdhelms@gmail.com> - 1.16.0-0.develop
- Bump version to 1.16-develop

* Tue Dec 06 2016 Dominic Cleal <dominic@cleal.org> - 1.15.0-0.develop
- Bump version to 1.15-develop

* Wed Sep 07 2016 Dominic Cleal <dominic@cleal.org> - 1.14.0-0.develop
- Bump version to 1.14-develop

* Tue May 31 2016 Dominic Cleal <dominic@cleal.org> - 1.13.0-0.develop
- Bump version to 1.13-develop

* Fri Feb 19 2016 Dominic Cleal <dominic@cleal.org> - 1.12.0-0.develop
- Bump version to 1.12-develop

* Wed Oct 07 2015 Dominic Cleal <dcleal@redhat.com> - 1.11.0-0.develop
- Bump version to 1.11-develop

* Fri Jun 26 2015 Dominic Cleal <dcleal@redhat.com> - 1.10.0-0.develop
- Bump version to 1.10-develop

* Tue Mar 03 2015 Dominic Cleal <dcleal@redhat.com> - 1.9.0-0.develop
- Bump version to 1.9-develop

* Tue Oct 28 2014 Dominic Cleal <dcleal@redhat.com> - 1.8.0-0.develop
- Bump version to 1.8-develop

* Mon Aug 11 2014 Dominic Cleal <dcleal@redhat.com> - 1.7.0-0.develop
- Bump version to 1.7-develop

* Wed Apr 16 2014 Dominic Cleal <dcleal@redhat.com> - 1.6.0-0.develop
- Bump to version 1.6-develop

* Thu Jan 16 2014 Dominic Cleal <dcleal@redhat.com> - 1.5.0-0.develop
- Bump to version 1.5-develop

* Thu Nov 21 2013 Dominic Cleal <dcleal@redhat.com> - 1.4.0-0.develop
- Bump and change versioning scheme (#3712)
- Ship config.ru for running under Passenger

* Thu Sep 05 2013 Lukas Zapletal <lzap+rpm[@]redhat.com> - 1.3.9999-1
- bump to version 1.3-develop

* Wed Jul 03 2013 Dominic Cleal <dcleal@redhat.com> - 1.2.9999-3
- add rubyipmi dependency for BMC support

* Tue Jun 11 2013 Lukas Zapletal <lzap+rpm[@]redhat.com> - 1.2.9999-2
- fixed service file for systemd
- /etc/sysconfig configuration is no longer in use for systemd

* Thu May 16 2013 Martin Bačovský <mbacovsk@redhat.com> 1.2.9999-1
- added support for building with tito

* Mon Feb 4 2013 shk@redhat.com 1.1-1
- 1.1 final.

* Fri Jan 25 2013 shk@redhat.com 1.1RC3-1
- Updated to RC3

* Wed Jan 09 2013 shk@redhat.com 1.1RC2-1
- Updated to RC2
- Removed net-ping dependency

* Tue Jan 1 2013 shk@redhat.com 1.1RC1-1
- Update to 1.1RC1

* Thu Aug 30 2012 jmontleo@redhat.com 1.0.0-3
- Update to include up to 330dbef353

* Sun Aug 05 2012 jmontleo@redhat.com 1.0.0-2
- Update to pull in fixes

* Mon Jul 23 2012 jmontleo@redhat.com 1.0.0-1
- Update packages for Foreman 1.0 Release.

* Wed Jul 18 2012 jmontleo@redhat.com 1.0.0-0.7
- Updated pacakages for Foreman 1.0 RC5 and Proxy RC2

* Thu Jul 05 2012 jmontleo@redhat.com 1.0.0-0.6
- Fix foreman-release to account for different archs. Pull todays source.

* Wed Jul 04 2012 jmontleo@redhat.com 1.0.0-0.5
- Bump version number for foreman RC3 and build with todays develop branch

* Sun Jul 01 2012 jmontleo@redhat.com 1.0.0-0.4
- Pull todays develop branch

* Fri Jun 29 2012 jmontleo@redhat.com 1.0.0-0.2
- Rebuild with develop branch from today. Hopefully we're really 1.0.0 RC2 this time

* Tue Jun 19 2012 jmontleo@redhat.com 0.5.1-9
- Rebuild with todays develop branch.

* Thu Jun 14 2012 jmontleo@redhat.com 0.5.1-8
- Rebuild with todays develop branch.

* Tue May 08 2012 Jason Montleon <jmontleo@redhat.com> - 0.5.1-1
- update version to match foreman package version

* Wed Dec 28 2011 Ohad Levy <ohadlevy@gmail.com> - 0.3.1
- rebuilt

* Tue Nov 08 2011 Ohad Levy <ohadlevy@gmail.com> - 0.3
- rebuilt

* Wed Sep 28 2011 Ohad Levy <ohadlevy@gmail.com> - 0.3rc2
- rebuilt

* Sat Sep 10 2011 Ohad Levy <ohadlevy@gmail.com> - 0.3rc1
- rebuilt

* Mon Jun 6 2011 Ohad Levy <ohadlevy@gmail.com> - 0.2
- rebuilt

* Thu May 26 2011 ohadlevy@gmail.com - 0.2rc2-2
- rebuilt

* Thu Feb 24 2011 Ohad Levy <ohadlevy@gmail.com> - 0.1.0rc
- new package built with tito

* Wed Jan 26 2011 Lukas Zapletal <lzap+git@redhat.com> - 0.1.0
- new package built with tito
